@Filename: UrtSta.s
@Part: ADuC702x.
@Created: 20/04/2004
@Updated: 28/06/2005
@Author: Eckart Hartmann.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM
@ UrtSta==========UART status.
@ C Function prototype: int UrtSta(void)@
@ Description of Function: Reads the status byte of the UART.
@ User interface:
@   Call UrtSta.
@   Returns value of COMSTA0:
@       COMSTA0.0 = Data ready.
@       COMSTA0.1 = Overrun error.
@       COMSTA0.2 = Parity error.
@       COMSTA0.3 = Framing error.
@       COMSTA0.4 = Break indicator.
@       COMSTA0.5 = Transmit queue empty.
@       COMSTA0.6 = Transmit holding register empty.
@ Robustness:  UART must be configured before checking status.
@ Side effects: Corrupts r3.

.GLOBAL UrtSta
UrtSta:
        mov     r3,#0xff0000            @r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r0,[r3,#COMSTA0_OFFSET]
        bx      lr
        
